Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Failed to emerge media-libs/gst-plugins-bad
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
oliver2104
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 202
Location: Wien

PostPosted: Mon Dec 15, 2014 11:57 am    Post subject: [gelöst] Failed to emerge media-libs/gst-plugins-bad Reply with quote

Hallo,
mache ca. alle 2 - 4 Tage ein world-update. Bekomme seit kurzem aber die Meldung:
Code:
Failed to emerge media-libs/gst-plugins-bad-1.2.4-r1

habe im Netz noch keine hilfreiche Lösung gefunden und möchte Euch um Hilfe bitten.
poste jetzt mal die Kompilierung ab dem Zeitpunkt zu dem meiner Meinung nach der erste Fehler auftritt.
Code:

libtool: link: cc -o /var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86/gst-libs/gst/egl/tmp-introspecteDf09k/.libs/GstEGL-1.0 -march=core2 -O2 -pipe -Wl,-O1 -Wl,--as-needed /var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86/gst-libs/gst/egl/tmp-introspecteDf09k/GstEGL-1.0.o -Wl,--export-dynamic -pthread -Wl,--export-dynamic  -L. ./.libs/libgstegl-1.0.so -lgio-2.0 -lgmodule-2.0 -lgstvideo-1.0 -lgstbase-1.0 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -pthread
./.libs/libgstegl-1.0.so: undefined reference to `eglDestroyImageKHR'
collect2: error: ld returned 1 exit status
linking of temporary binary failed: Command '['../../../libtool', '--mode=link', '--tag=CC', 'cc', '-o', '/var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86/gst-libs/gst/egl/tmp-introspecteDf09k/GstEGL-1.0', '-export-dynamic', '-march=core2', '-O2', '-pipe', '-Wl,-O1', '-Wl,--as-needed', '/var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86/gst-libs/gst/egl/tmp-introspecteDf09k/GstEGL-1.0.o', '-L.', 'libgstegl-1.0.la', '-lgio-2.0', '-Wl,--export-dynamic', '-lgmodule-2.0', '-pthread', '-lgstvideo-1.0', '-lgstbase-1.0', '-lgstreamer-1.0', '-lgobject-2.0', '-lglib-2.0']' returned non-zero exit status 1
Makefile:1066: recipe for target 'GstEGL-1.0.gir' failed
make[4]: *** [GstEGL-1.0.gir] Error 1
make[4]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86/gst-libs/gst/egl'
Makefile:716: recipe for target 'all-recursive' failed
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86/gst-libs/gst'
Makefile:707: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86/gst-libs'
Makefile:873: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-bad-1.2.4-r1/work/gst-plugins-bad-1.2.4-abi_x86_32.x86'
Makefile:801: recipe for target 'all' failed
make: *** [all] Error 2
 * ERROR: media-libs/gst-plugins-bad-1.2.4-r1::gentoo failed (compile phase):
 *   emake failed


Last edited by oliver2104 on Fri Jan 02, 2015 12:46 pm; edited 1 time in total
Back to top
View user's profile Send private message
oliver2104
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 202
Location: Wien

PostPosted: Fri Jan 02, 2015 12:45 pm    Post subject: Reply with quote

Hallo,
hab jetzt die Lösung gefunden:
Nach temporärer Umstellung meiner OpenGL Implementation von nvidia auf xorg-x11,
Code:
# eselect opengl set xorg-x11

hat es geklappt.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Fri Jan 02, 2015 3:32 pm    Post subject: Reply with quote

Hehe, sollte normal nicht vorkommen :-/
Darf man fragen mit welcher nvidia-drivers Version das auftrat?
Back to top
View user's profile Send private message
oliver2104
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 202
Location: Wien

PostPosted: Sun Jan 04, 2015 9:32 am    Post subject: Reply with quote

kann das leider nicht so genau beantworten.
Mein Problem mit den gst-plugins ist Mitte Dezember bei einem world-update aufgetreten.
War dann auf Urlaub und hab am 2.1.2015 neuerlich ein world-update versucht.
Da befanden sich auf der Updateliste zusätzlich die Pakete: webkit-gtk-2.4.7 und webkit-gtk-2.4.7-r200
beide Pakete haben dann folgende hilfreiche Fehlermeldung ausgegeben:
Code:
webkit-gtk freezes while compiling if x11-drivers/nvidia-drivers is
used as the system OpenGL library. We are very sorry about that.
You should temporarily select Mesa as the system OpenGL library:
 # eselect opengl set xorg-x11
 and then run emerge again.
See https://bugs.gentoo.org/463960 for more details.

Hab das auch so gemacht und das world-update inkl. mittlerweile nachgereihter gst-plugins lief problemlos.
dzt. habe ich nvidia-drivers 343.36 die aber möglicherweise erst durch das update installiert wurden.
vorher hatte ich die Version 343.22-r2 in Verwendung.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum